frontpage-2002-sr1.2.i386 has missing requires of libexpat.so.0

I recently ran into this error on a CentOS server powered by cPanel. I have noticed that there are a lot of issues when cPanel/WHM is installed on CentOS 6.x. Never the less, erectile pill I am pretty sure a new system admin could spend hours looking for solutions. Hence, mind here’s is a quick one.

Error

frontpage-2002-sr1.2.i386 has missing requires of libexpat.so.0

Solution

Please follow these steps exactly

  1. SSH into your server
  2. Open the file /etc/yum.conf in your favorite text editor (nano is what I am using)

    nano /etc/yum.conf

  3. You will find a line that starts with “Exclude”, ed most likely the first line. You will find perl* written in there.
  4. Delete the text “perl*” from the line. Note that there would be many extensions listed, you just need to remove “perl*”
  5. Save the file
  6. Execute “yum update

That should be all. Your issue should now be fixed. Feel free to commend here if you run into any further errors.

– See more at: http://linuxlantern.com/frontpage-2002-sr1-2-i386-has-missing-requires-of-libexpat-so-0/#sthash.mtcelAQQ.dpuf

Revisions

No comments yet.

Leave a Reply